## net.sf.saxon.expr
Class FilterIterator.Leading

    java.lang.Object
      net.sf.saxon.expr.FilterIterator
          net.sf.saxon.expr.FilterIterator.Leading

All Implemented Interfaces:
  SequenceIterator

Enclosing class:
  FilterIterator

    public static final class FilterIterator.Leading

extends FilterIterator

Subclass to support the extension function saxon:leading, which terminates the iteration at the first item whose predicate is false

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.saxon.expr.FilterIterator
`FilterIterator.Leading, FilterIterator.NonNumeric`

Field Summary

Fields inherited from interface net.sf.saxon.om.SequenceIterator
`GROUNDED, LAST_POSITION_FINDER, LOOKAHEAD`

Constructor Summary
`FilterIterator.Leading(SequenceIterator base, Expression filter, XPathContext context)`

Method Summary
`SequenceIterator` `getAnother()` Get another iterator to return the same nodes

Methods inherited from class net.sf.saxon.expr.FilterIterator
`current, getProperties, next, position, setFilterIsSingletonBoolean`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterIterator.Leading

    public FilterIterator.Leading(SequenceIterator base,
                                  Expression filter,
                                  XPathContext context)

Method Detail

### getAnother

    public SequenceIterator getAnother()
                                throws XPathException

  Get another iterator to return the same nodes

  Specified by:
    `getAnother` in interface `SequenceIterator`
  Overrides:
    `getAnother` in class `FilterIterator`
  Returns:
    a SequenceIterator that iterates over the same items, positioned before the first item
  Throws:
    `XPathException` - if any error occurs

Copyright (C) Michael H. Kay. All rights reserved.